Bug 1218089 (seld/cli-prompt) - Review Request: php-seld-cli-prompt - Allows you to prompt for user input on the command line
Summary: Review Request: php-seld-cli-prompt - Allows you to prompt for user input on...
Status: CLOSED ERRATA
Alias: seld/cli-prompt
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-04 08:24 UTC by Remi Collet
Modified: 2015-05-29 21:49 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-05-26 03:31:20 UTC
shawn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo.log (2.30 KB, text/plain)
2015-05-09 19:30 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.52 KB, text/plain)
2015-05-09 19:31 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-05-04 08:24:29 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/835a0b424bb4366d1331d27f54a4a6d81e500777/php/php-seld-cli-prompt/php-seld-cli-prompt.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-seld-cli-prompt-1.0.0-1.remi.src.rpm
Description: 
While prompting for user input using fgets() is quite easy, sometimes you
need to prompt for sensitive information. In these cases, the characters typed
in by the user should not be directly visible, and this is quite a pain to do
in a cross-platform way.

Fedora Account System Username: remi


-- 
Dependency of composer.

Comment 1 Shawn Iwinski 2015-05-09 19:30:43 UTC
Created attachment 1023844 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.3

Comment 2 Shawn Iwinski 2015-05-09 19:31:20 UTC
Created attachment 1023845 [details]
fedora-review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1218089
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Shawn Iwinski 2015-05-09 19:33:28 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)

As usual, remove EPEL5 bits after initial import.



Since no %check, "BuildRequires:  php(language) >= 5.3" is not really necessary unless you just want to prevent even building the RPM on systems without PHP >= 5.3.



No blockers.



===== APPROVED =====

Comment 4 Remi Collet 2015-05-11 07:09:08 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-seld-cli-prompt
Short Description: Allows you to prompt for user input on the command lin
Upstream URL: https://github.com/Seldaek/cli-prompt
Owners: remi
Branches:f21 f22 epel7 
InitialCC:

Comment 5 Gwyn Ciesla 2015-05-11 12:33:53 UTC
Git done (by process-git-requests).

Comment 6 Remi Collet 2015-05-11 13:25:26 UTC
Can you please check, the package doesn't appears in pkgdb and 

$ fedpkg clone php-seld-cli-prompt 
Clonage dans 'php-seld-cli-prompt'...
FATAL: R any php-seld-cli-prompt remi DENIED by fallthru

Comment 7 Gwyn Ciesla 2015-05-11 18:08:43 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-05-14 07:00:38 UTC
php-seld-cli-prompt-1.0.0-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-seld-cli-prompt-1.0.0-1.fc22

Comment 9 Fedora Update System 2015-05-14 07:00:47 UTC
php-seld-cli-prompt-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-seld-cli-prompt-1.0.0-1.fc21

Comment 10 Fedora Update System 2015-05-14 07:00:59 UTC
php-seld-cli-prompt-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-seld-cli-prompt-1.0.0-1.el7

Comment 11 Fedora Update System 2015-05-14 20:04:51 UTC
php-seld-cli-prompt-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 12 Fedora Update System 2015-05-26 03:31:20 UTC
php-seld-cli-prompt-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2015-05-26 03:52:30 UTC
php-seld-cli-prompt-1.0.0-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 14 Fedora Update System 2015-05-29 21:49:10 UTC
php-seld-cli-prompt-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.